package com.lejos.programmingbook.bluetooth;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import lejos.hardware.lcd.LCD;
import lejos.remote.nxt.BTConnection;
import lejos.remote.nxt.BTConnector;

public class A52_BTReceiverBuffer {

	public static void main(String[] args) {

		BTConnector connector = new BTConnector();
		BTConnection connection = connector.waitForConnection(60000, BTConnection.PACKET);

		System.out.println("Got connection: " + connection);
		InputStream is = connection.openInputStream();
		try (BufferedReader br = new BufferedReader(new InputStreamReader(is))) {
			String message = null;
			do {
				message = br.readLine();
				if (message != null) {
					LCD.clear();
					LCD.drawString(message, 0, 0);
				}
			} while (message != null);
			connection.close();
		} catch (IOException ioex) {
			System.out.println("Error reading data: " + ioex);
		}
	}

}
