package com.lejos.programmingbook.bluetooth;

import java.io.BufferedWriter;
import java.io.IOException;
import java.io.OutputStream;
import java.io.OutputStreamWriter;

import lejos.hardware.port.SensorPort;
import lejos.hardware.sensor.EV3IRSensor;
import lejos.hardware.sensor.SensorMode;
import lejos.remote.nxt.BTConnection;
import lejos.remote.nxt.BTConnector;
import lejos.utility.Delay;

public class A52_BTSender {

	public static void main(String[] args) {

		EV3IRSensor irsensor = new EV3IRSensor(SensorPort.S1);
		SensorMode sensorDistanceMode = irsensor.getDistanceMode();

		BTConnector connector = new BTConnector();
		BTConnection connection = connector.connect("EV3", BTConnection.PACKET);

		// connection Objekt ist null, wenn keine Verbindung aufgebaut werden konnte
		if (connection != null) {
			OutputStream out = connection.openOutputStream();
			try (BufferedWriter writer = new BufferedWriter(new OutputStreamWriter(out))) {
				float[] sample = new float[1];
				while (true) {
					sensorDistanceMode.fetchSample(sample, 0);
					// Wandlung Fliesskommazahl float in eine Ganzzahl int
					String sendtext = "Distanz " + new Float(sample[0]).intValue() + "cm";
					System.out.println("Sending: " + sendtext);
					writer.write(sendtext);
					// flush notwendig fuer Transport der Daten
					writer.flush();
					// 3000 ms Wartezyklus
					Delay.msDelay(3000);
				}
			} catch (IOException ioex) {
				System.out.println("Error reading data: " + ioex);
			}
		} else {
			System.out.println("Error establishing connection!");
		}
		irsensor.close();
	}

}
