package com.lejos.programmingbook.chapter3;

import lejos.hardware.Sound;
import lejos.hardware.motor.EV3LargeRegulatedMotor;
import lejos.hardware.port.MotorPort;
import lejos.hardware.port.SensorPort;
import lejos.hardware.sensor.EV3IRSensor;
import lejos.hardware.sensor.SensorMode;
import lejos.utility.Delay;

public class A433_MotorControlLoop {

	public static void main(String[] args) {

		EV3IRSensor irsensor = new EV3IRSensor(SensorPort.S4);
		SensorMode sensorDistanceMode = irsensor.getDistanceMode();

		EV3LargeRegulatedMotor motorB = new EV3LargeRegulatedMotor(MotorPort.B);
		motorB.setSpeed(400);
		EV3LargeRegulatedMotor motorC = new EV3LargeRegulatedMotor(MotorPort.C);
		motorC.setSpeed(400);

		float[] sample = new float[1];
		sensorDistanceMode.fetchSample(sample, 0);
		while (sample[0] > 30) {
			for (int i = 0; i < 5; i++) {
				// start both motors
				motorB.rotate(20, true);
				motorC.rotate(20);
				Delay.msDelay(1000);
			}
			sensorDistanceMode.fetchSample(sample, 0);
			Sound.playTone(880, 250);

		}
		motorB.close();
		motorC.close();
		irsensor.close();

	}

}
