package com.lejos.programmingbook.chapter5;

import de.lejos.fwk.motor.DifferentialDrive;
import lejos.hardware.lcd.LCD;
import lejos.hardware.port.SensorPort;
import lejos.hardware.sensor.EV3ColorSensor;
import lejos.robotics.Color;
import lejos.utility.Delay;

public class A452_ColorCounter {

	public static void main(String[] args) {
		EV3ColorSensor colorSensor = new EV3ColorSensor(SensorPort.S1);
		DifferentialDrive differentialDrive = new DifferentialDrive(400);

		int i = 0;
		differentialDrive.forward();

		while (colorSensor.getColorID() != Color.RED) {
			LCD.clear();
			LCD.drawInt(i, 0, 0);
			if (colorSensor.getColorID() == Color.BLACK) {
				// found black line
				i++;
				// now wait until we find something different from black
				while (colorSensor.getColorID() == Color.BLACK) {
				}
			}
		}
		differentialDrive.stop();
		LCD.drawString(i + " schwarze Linien gefunden", 0, 0);
		colorSensor.close();
		differentialDrive.close();
		Delay.msDelay(5000);

	}

}
