package com.lejos.programmingbook.chapter7;

import de.lejos.fwk.motor.DifferentialDrive;
import de.lejos.fwk.sensor.IRSensor;
import lejos.hardware.lcd.LCD;
import lejos.hardware.port.SensorPort;
import lejos.utility.Delay;

public class A471_LCDOutputRunnable implements Runnable {

	private IRSensor irsensor = null;

	public A471_LCDOutputRunnable(IRSensor irsensor) {
		this.irsensor = irsensor;
	}

	public void run() {
		while (true) {
			LCD.clear();
			LCD.drawInt((int) irsensor.getDistance(), 0, 0);
			Delay.msDelay(500);
		}
	}

	public static void main(String[] args) {
		IRSensor irsensor = new IRSensor(SensorPort.S4);

		A471_LCDOutputRunnable lcdOutput = new A471_LCDOutputRunnable(irsensor);
		Thread t = new Thread(lcdOutput);
		t.start();

		DifferentialDrive differentialDrive = new DifferentialDrive(300);

		while (true) {
			differentialDrive.forward();
			if (irsensor.getDistance() < 20) {
				differentialDrive.rotate(-420, 420);
			}
		}
	}

}
