package com.lejos.programmingbook.chapter8;

import de.lejos.fwk.motor.DifferentialDrive;
import de.lejos.fwk.sensor.IRSensor;
import de.lejos.fwk.sensor.TouchSensor;
import lejos.hardware.port.SensorPort;

public class A482_MotorSteerRandomStopThread extends Thread {

	private IRSensor irsensor = null;
	private DifferentialDrive differentialDrive = null;

	public A482_MotorSteerRandomStopThread() {
		super();
		irsensor = new IRSensor(SensorPort.S4);
		differentialDrive = new DifferentialDrive(400);
	}

	public void cleanup() {
		differentialDrive.stop();
		differentialDrive.close();
		irsensor.close();
	}

	public void run() {
		differentialDrive.forward();

		while (true) {
			if (irsensor.getDistance() < 20) {
				int rotationAngle = 400 + (int) (Math.random() * 200);
				differentialDrive.rotate(rotationAngle, -rotationAngle);
			}
			differentialDrive.forward();
		}
	}

	public static void main(String[] args) {

		TouchSensor touchsensor = new TouchSensor(SensorPort.S2);

		A482_MotorSteerRandomStopThread motorThread = new A482_MotorSteerRandomStopThread();
		motorThread.start();

		while (!touchsensor.isPressed()) {
		}

		motorThread.interrupt();
		motorThread.cleanup();
		touchsensor.close();
	}

}
