package com.lejos.programmingbook.chapter9;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;

public class A491_FileOutputSample {

	public void sample1() {
		try {
			BufferedWriter writer = new BufferedWriter(new FileWriter("C:/temp/testjava.txt", true));
			writer.write("Hallo");
			writer.newLine();
			writer.write("Hallo Java");
			writer.newLine();
			writer.close();
		} catch (IOException ioex) {
			System.out.println("Error accessing file: " + ioex);
		}
	}

	public void sample2() {
		BufferedWriter writer = null;
		try {
			writer = new BufferedWriter(new FileWriter("C:/temp/testjava.txt", true));
			writer.write("Hallo");
			writer.newLine();
			writer.write("Hallo Java");
			writer.newLine();
			writer.close();
		} catch (IOException ioex) {
			System.out.println("Error accessing file: " + ioex);
		} finally {
			if (writer != null) {
				try {
					writer.close();
				} catch (IOException ioex) {
					// ignore during close
				}
			}
		}
	}

	public void sample3() {
		try (BufferedWriter writer = new BufferedWriter(new FileWriter("C:/temp/testjava.txt", true))) {
			writer.write("Hallo");
			writer.newLine();
			writer.write("Hallo Java");
			writer.newLine();
		} catch (IOException ioex) {
			System.out.println("Error accessing file: " + ioex);
		}
	}

	public static void main(String[] args) {

	}

}
