package com.lejos.programmingbook.chapter9;

import java.io.FileInputStream;
import java.io.IOException;

import lejos.hardware.Brick;
import lejos.hardware.BrickFinder;
import lejos.hardware.lcd.GraphicsLCD;
import lejos.hardware.lcd.Image;
import lejos.utility.Delay;

public class A492_LCDSoundOutput {

	public static void main(String[] args) {

		Brick ev3 = BrickFinder.getDefault();
		GraphicsLCD g = ev3.getGraphicsLCD();

		try (FileInputStream fin = new FileInputStream("samplelogo.lni")) {
			Image sampleLogoImage = Image.createImage(fin);

			g.drawImage(sampleLogoImage, 0, 0, GraphicsLCD.TOP | GraphicsLCD.LEFT);
			// Sound.playSample(new File("sample.wav"));
			Delay.msDelay(2000);

			// Delay.msDelay(Sound.playSample(new File("sample.wav")));
		} catch (IOException ioex) {
			System.out.println("Error accessing image file: " + ioex);
		}

	}

}
