package com.lejos.programmingbook.linefollower;

import lejos.hardware.motor.EV3LargeRegulatedMotor;
import lejos.hardware.port.MotorPort;
import lejos.hardware.port.SensorPort;
import lejos.hardware.sensor.EV3ColorSensor;
import lejos.robotics.Color;

public class A512_LineFollowerTwoSensors {

	public static void main(String[] args) {
		
		EV3LargeRegulatedMotor motorB = new EV3LargeRegulatedMotor(MotorPort.B);
		motorB.setSpeed(200);
		EV3LargeRegulatedMotor motorC = new EV3LargeRegulatedMotor(MotorPort.C);
		motorC.setSpeed(200);
		EV3ColorSensor colorSensor = new EV3ColorSensor(SensorPort.S1);
		EV3ColorSensor colorSensor2 = new EV3ColorSensor(SensorPort.S3);

		motorB.forward();
		motorC.forward();
		while (true) {
			if (colorSensor.getColorID() == Color.BLACK) {
				if (colorSensor2.getColorID() == Color.BLACK) {
					motorB.rotate(180);
					motorC.rotate(180);
				} else {
					motorC.stop();
					motorB.forward();
				}
			} else {
				if (colorSensor2.getColorID() == Color.BLACK) {
					motorC.forward();
					motorB.stop();
				} else {
					motorB.forward();
					motorC.forward();
				}
			}
		}
	}

}
