package de.lejos.fwk.sensor;

import lejos.hardware.port.Port;
import lejos.hardware.port.SensorPort;
import lejos.hardware.port.UARTPort;
import lejos.hardware.sensor.EV3ColorSensor;
import lejos.robotics.Color;


public class ColorSensor extends EV3ColorSensor {

	public final static Port DEFAULT_COLOR_SENSOR_PORT = SensorPort.S1;

	public ColorSensor(UARTPort port) {
		super(port);
	}

	public ColorSensor(Port port) {
		super(port);
	}

	public ColorSensor() {
		super(DEFAULT_COLOR_SENSOR_PORT);
	}

	public boolean isBlack() {
		return getColorID() == Color.BLACK;
	}

	public boolean isRed() {
		return getColorID() == Color.RED;
	}

	public boolean isBlue() {
		return getColorID() == Color.BLUE;
	}

	public boolean isBrown() {
		return getColorID() == Color.BROWN;
	}

	public boolean isGreen() {
		return getColorID() == Color.GREEN;
	}

	public boolean isYellow() {
		return getColorID() == Color.YELLOW;
	}

	public boolean isWhite() {
		return getColorID() == Color.WHITE;
	}

}
