package de.lejos.fwk.sensor;

import lejos.hardware.port.Port;
import lejos.hardware.port.SensorPort;
import lejos.hardware.port.UARTPort;
import lejos.hardware.sensor.EV3IRSensor;

public class IRSensor extends EV3IRSensor {

	public final static Port DEFAULT_IR_SENSOR_PORT = SensorPort.S4;

	public IRSensor(UARTPort port) {
		super(port);
	}

	public IRSensor(Port port) {
		super(port);
	}

	public IRSensor() {
		this(DEFAULT_IR_SENSOR_PORT);
	}

	public float getDistance() {
		float[] sample = new float[1];
		getDistanceMode().fetchSample(sample, 0);
		return sample[0];
	}

	public SeekData getSeekData(int channel) {
		if ((channel < 0) || (channel > 3)) {
			throw new IllegalArgumentException("Invalid channel " + channel + ", must be (0-3)");
		}
		float[] sample = new float[8];
		getSeekMode().fetchSample(sample, 0);
		// now map date
		SeekData data = new SeekData();
		data.setBearing(sample[channel * 2]);
		data.setDistance(sample[channel * 2 + 1]);
		return data;
	}

}
