package de.lejos.fwk.sensor;

import lejos.hardware.port.AnalogPort;
import lejos.hardware.port.Port;
import lejos.hardware.port.SensorPort;
import lejos.hardware.sensor.EV3TouchSensor;

/**
 * EV3 Touch Sensor: convenient method to get current state of button
 * 
 * @author Alexander Schulze
 */
public class TouchSensor extends EV3TouchSensor {
	
	public final static Port DEFAULT_TOUCH_SENSOR_PORT = SensorPort.S2;	

	public TouchSensor(AnalogPort port) {
		super(port);
	}

	public TouchSensor(Port port) {
		super(port);
	}

	public TouchSensor() {
		super(DEFAULT_TOUCH_SENSOR_PORT);
	}
	
	public boolean isPressed() {
		// thread-safe implementation requires more memory each time
		float[] sample = new float[1];
		fetchSample(sample, 0);
		return (sample[0] != 0);
	}

}
