package de.lejos.fwk.sensor;

import lejos.hardware.port.Port;
import lejos.hardware.port.SensorPort;
import lejos.hardware.port.UARTPort;
import lejos.hardware.sensor.EV3UltrasonicSensor;

public class UltraSonicSensor extends EV3UltrasonicSensor {

	public final static Port DEFAULT_US_SENSOR_PORT = SensorPort.S4;

	public UltraSonicSensor(UARTPort port) {
		super(port);
	}

	public UltraSonicSensor(Port port) {
		super(port);
	}

	public UltraSonicSensor() {
		this(DEFAULT_US_SENSOR_PORT);
	}

	public float getDistance() {
		float[] sample = new float[1];
		getDistanceMode().fetchSample(sample, 0);
		return sample[0];
	}

	public boolean ultrasonicPresent() {
		float[] sample = new float[1];
		getListenMode().fetchSample(sample, 0);
		if (sample[0]<1) {
			return false;
		}
		return true;
	}

}
